[94459] contrib/buildbot/deploy_archives.sh

jmr at macports.org jmr at macports.org
Tue Jun 19 15:18:45 PDT 2012


Revision: 94459
          https://trac.macports.org/changeset/94459
Author:   jmr at macports.org
Date:     2012-06-19 15:18:44 -0700 (Tue, 19 Jun 2012)
Log Message:
-----------
error out if signing archive fails

Modified Paths:
--------------
    contrib/buildbot/deploy_archives.sh

Modified: contrib/buildbot/deploy_archives.sh
===================================================================
--- contrib/buildbot/deploy_archives.sh	2012-06-19 21:44:34 UTC (rev 94458)
+++ contrib/buildbot/deploy_archives.sh	2012-06-19 22:18:44 UTC (rev 94459)
@@ -31,8 +31,12 @@
         aname=$(basename $archive)
         echo deploying archive: $aname
         if [[ -n "$PRIVKEY" ]]; then
-            openssl dgst -ripemd160 -sign "${PRIVKEY}" -out ${ULPATH}/${portname}/${aname}.rmd160 ${archive} ;
-            chmod a+r ${ULPATH}/${portname}/${aname}.rmd160 ;
+            openssl dgst -ripemd160 -sign "${PRIVKEY}" -out ${ULPATH}/${portname}/${aname}.rmd160 ${archive} || exit 1
+            if [[ -f ${ULPATH}/${portname}/${aname}.rmd160 ]]; then
+                chmod a+r ${ULPATH}/${portname}/${aname}.rmd160
+            else
+                exit 1
+            fi
         fi
     done
     
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20120619/8b5cc009/attachment-0001.html>


More information about the macports-changes mailing list